export default [
  /* ======订单管理======  */
  // 采购人-我的订单
  {
    path: 'myorder',
    meta: { path: 'myorder', type: '00' },
    component: () =>
      import('@/views/shoppingmall/order/allOrder/myorder')
  },
  // 采购部门负责人-订单审批
  {
    path: 'myorderDital',
    meta: { path: 'myorderDital', type: '01' },
    component: () =>
      import('@/views/shoppingmall/order/allOrder/myorder')
  },
  // 订单审核页
  {
    path: 'orderAudit',
    component: () =>
      import('@/views/shoppingmall/order/orderAudit/orderAudit')
  },
  // 订单审核详情页
  {
    path: 'orderAuditRecord',
    component: () =>
      import('@/views/shoppingmall/order/orderAudit/orderAuditRecord')
  },
  // new订单详情
  {
    path: 'orderShopDetail',
    component: () =>
      import('@/views/shoppingmall/order/orderOptions/shopOrder-detail')
  },
  // 我的申购
  {
    path: 'subscriptionList',
    component: () =>
      import('@/views/shoppingmall/order/subscription/subscription-list.vue')
  },
  // 汇总下单
  {
    path: 'summaryOrderList',
    component: () =>
      import('@/views/shoppingmall/order/subscription/summaryOrder-list.vue')
  },
  // 供应商评价汇总
  {
    path: 'supplierSummary',
    component: () =>
      import('@/views/shoppingmall/suppliersummary/supplierSummary-list')
  },
  // 供应商评价汇总详情
  {
    path: 'supplierSummaryDetail',
    component: () =>
      import('@/views/shoppingmall/suppliersummary/supplierSummaryDetail-list')
  },
  /* ======个人中心======  */
  {
    //  账户信息
    path: 'accountInfo',
    component: () =>
      import('@/views/shoppingmall/tabcenter/accountInfo')
  },
  {
    //  账户安全
    path: 'mysafe',
    component: () =>
      import('@/views/shoppingmall/tabcenter/mysafe')
  },
  {
    //  消息中心
    path: 'messageCenter',
    component: () =>
      import('@/views/shoppingmall/messageCenter/messageCenter')
  },
  /* ======邮寄地址======  */
  // 添加地址
  {
    path: 'mailingaddressList',
    component: () =>
      import('@/views/shoppingmall/mailingaddress/mailingaddress-list')
  },
  /* 订单支付 */
  /* =======发票管理======= */
  // 发票详情
  {
    path: 'invoiceList',
    component: () =>
      import('@/views/shoppingmall/invoice/invoice-list')
  },
  // 发票审核
  {
    path: 'invoiceAuditList',
    component: () =>
      import('@/views/shoppingmall/invoice/invoiceAudit-list')
  },
  // 查看发票
  {
    path: 'viewInvoice',
    component: () =>
      import('@/views/shoppingmall/invoice/viewInvoice')
  },
  // 收件管理
  {
    path: 'receiptManagement',
    component: () =>
      import('@/views/shoppingmall/receiptManagement/receiptManagement-list')
  },
  // 商品审核
  {
    path: 'commodityAuditList',
    component: () =>
      import('@/views/shoppingmall/commodityAudit/commodityAudit-list')
  },
  // 商品管理
  {
    path: 'commodityManageList',
    component: () =>
      import('@/views/shoppingmall/commodityManage/commodityManage-list')
  },
  // 分类管理
  {
    path: 'goodsClassManage',
    component: () =>
      import('@/views/shoppingmall/goodsClassManage/goodsClassManage-list')
  },
  // 客服管理
  {
    path: 'customerManage',
    component: () =>
      import('@/views/shoppingmall/customerManage/customerManage-list')
  },
  // 供应商维护
  {
    path: 'supplierInfo',
    component: () =>
      import('@/views/shoppingmall/tabcenter/supplierInfo.vue')
  },
  // 物流详情
  {
    path: 'logisticsDetails',
    component: () =>
      import('@/views/shoppingmall/order/orderOptions/logisticsDetails.vue')
  },
  /* ==================广告管理================*/
  // 广告管理
  {
    path: 'advertManage',
    component: () =>
      import('@/views/shoppingmall/advertManage/advertManage-list')
  },
  // 广告列表
  {
    path: 'advertisementList',
    component: () =>
      import('@/views/shoppingmall/advertManage/advertisement-list')
  },
  // 协议录入
  {
    path: 'protocolNnterList',
    component: () =>
      import('@/views/shoppingmall/protocolNnter/protocolNnter-list')
  },
  // 新售后流程-选择售后类型页
  {
    path: 'selectAfterSalesType',
    component: () =>
      import('@/views/shoppingmall/order/orderRefund/selectAfterSalesType.vue')
  },
  // 新售后流程-填写售后信息页
  {
    path: 'fillAfterSalesInfo',
    component: () =>
      import('@/views/shoppingmall/order/orderRefund/fillAfterSalesInfo.vue')
  },
  // 发表评价
  {
    path: 'publishEvaluation',
    component: () =>
      import('@/views/shoppingmall/order/allOrder/publishEvaluation')
  }
]
